
QGIS Application - Bug report #4293

QGIS crashes when applying  Graduated Symbol symbology.

2011-09-19 08:12 AM - Eduardo Bieñkowski

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 14230

Description

By selecting the properties of a layer:

1 - Choose Style - Graduated Symbol

2 - Number of cases = 5

3 - Compute intervals

4 - Quantum GIS is closed

History

#1 - 2011-09-19 08:16 AM - Giovanni Manghi

- Subject changed from QGIS closed  to QGIS crashes when applying  Graduated Symbol symbology.

please launch QGIS from the terminal and copy/paste here the error message. Please also use more meaningful subjects, be more specific in the

description (polygons? lines? points? shapefile? postgis?) and in the platform (what distribution? 64 or 32 bit?  qgis from repository or self compiled) and if

possible attach a sample of the data it is causing the problem. Thanks.

#2 - 2011-09-19 08:54 AM - Eduardo Bieñkowski

- File pais_adscriptos.dbf added

- File pais_adscriptos.shp added

- File pais_adscriptos.shx added

Terminal message

Python support ENABLED :-) 

Warning: QLayout: Attempting to add QLayout "" to RgShortestPathWidget "ShortestPathDock", which already has a layout

Warning: QLayout: Attempting to add QLayout "" to QWidget "", which already has a layout                             

Warning: QLayout: Attempting to add QLayout "" to QWidget "", which already has a layout                             

Warning: QLayout: Attempting to add QLayout "" to QWidget "", which already has a layout                             

Warning: QLayout: Attempting to add QLayout "" to QWidget "", which already has a layout                             

Loaded : Zoom to Point (package: zoom_to_point)                                                                      

/usr/lib/python2.6/dist-packages/qgis/utils.py:283: DeprecationWarning: the sets module is deprecated                

  mod = _builtin_import(name, globals, locals, fromlist, level)                                                      

Loaded : fTools (package: fTools)                                                                                    

Loaded : Plugin Installer (package: plugin_installer)                                                                

Loaded : MapServer Export (package: mapserver_export)                                                                

Loaded : OpenStreetMap plugin (package: osm)                                                                         

Loaded : GdalTools (package: GdalTools)                                                                              

    -  buffer overflow detected ***: /usr/bin/qgis.bin terminated                                                       ======= Backtrace: =========                                                 
/lib/tls/i686/cmov/libc.so.6(_fortify_fail+0x48)[0x5e01008]                                                         

/lib/tls/i686/cmov/libc.so.6[0x5e00040]                                                                              

/lib/tls/i686/cmov/libc.so.6[0x5dff999]                                                                              

/lib/tls/i686/cmov/libc.so.6(_snprintf_chk+0x34)[0x5dff884]                                                         

/usr/lib/libgdal1.5.0.so.1(_ZN10OGRFeature16GetFieldAsStringEi+0x34e)[0x73d23be]                                     

/usr/lib/libgdal1.5.0.so.1(_ZN21OGRGenSQLResultsLayer14PrepareSummaryEv+0xf8)[0x733c8b8]                             

/usr/lib/libgdal1.5.0.so.1(_ZN21OGRGenSQLResultsLayer10GetFeatureEl+0xa0)[0x733cb30]                                 

/usr/lib/libgdal1.5.0.so.1(_ZN21OGRGenSQLResultsLayer14GetNextFeatureEv+0xcf)[0x733c7af]                             

/usr/lib/libgdal1.5.0.so.1(OGR_L_GetNextFeature+0x21)[0x7367b01]                                                     

/usr/lib/qgis/plugins/libogrprovider.so(_ZN14QgsOgrProvider12minimumValueEi+0x2ed)[0x63e48ad]                        

/usr/lib/libqgis_core.so.1.7.0(_ZN14QgsVectorLayer12minimumValueEi+0x38f)[0x57069f]                                  

/usr/bin/qgis.bin(_ZN24QgsGraduatedSymbolDialog20adjustClassificationEv+0x13fc)[0x819d2fc]                           

/usr/bin/qgis.bin(_ZN24QgsGraduatedSymbolDialog11qt_metacallEN11QMetaObject4CallEiPPv+0xb3)[0x83d1443]               

/usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x233)[0x110e263]                                   

/usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iiPPv+0x58)[0x110e6d8]                                

/usr/lib/libQtGui.so.4(_ZN15QAbstractButton7clickedEb+0x51)[0x6dbacc1]                                               

/usr/lib/libQtGui.so.4[0x6ae3549]                                                                                    

/usr/lib/libQtGui.so.4[0x6ae51a4]                                                                                    

/usr/lib/libQtGui.so.4(_ZN15QAbstractButton17mouseReleaseEventEP11QMouseEvent+0x91)[0x6ae5431]                       

/usr/lib/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x762)[0x6783012]                                                  

/usr/lib/libQtGui.so.4(_ZN15QAbstractButton5eventEP6QEvent+0x3e)[0x6ae33ee]                                          

/usr/lib/libQtGui.so.4(_ZN11QPushButton5eventEP6QEvent+0x3d)[0x6b8d66d]                                              

/usr/lib/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xb4)[0x672df54]                    

/usr/lib/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xb43)[0x6736033]                                  

/usr/lib/libqgis_core.so.1.7.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0x33)[0x4b2ff3]                          

/usr/lib/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x7b)[0x10f86cb]                     

/usr/lib/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_E+0xde)[0x6734f6e]

/usr/lib/libQtGui.so.4[0x67a37c0]                                                                                                

/usr/lib/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x19bb)[0x67a2c4b]                                           

/usr/lib/libQtGui.so.4[0x67cf502]                                                                                                

/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1f8)[0x768ce88]                                                                  

/lib/libglib-2.0.so.0[0x7690730]                                                                                                 

/lib/libglib-2.0.so.0(g_main_context_iteration+0x73)[0x7690863]                                                                  

/usr/lib/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x5c)[0x112302c]     

/usr/lib/libQtGui.so.4[0x67cebe5]                                                                                                

/usr/lib/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x49)[0x10f6c79]                         

/usr/lib/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xfa)[0x10f70ca]                                   

/usr/lib/libQtGui.so.4(_ZN7QDialog4execEv+0x103)[0x6c1ad53]                                                                      

/usr/bin/qgis.bin(_ZN7QgisApp19showLayerPropertiesEP11QgsMapLayer+0xc5)[0x8108785]                                               

/usr/bin/qgis.bin(_ZN7QgisApp15layerPropertiesEv+0x3c)[0x810895c]                                                                

/usr/bin/qgis.bin(_ZN7QgisApp11qt_metacallEN11QMetaObject4CallEiPPv+0x28d)[0x83ce70d]                                            

/usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x233)[0x110e263]                                               

/usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iiPPv+0x58)[0x110e6d8]                                            

/usr/lib/libQtGui.so.4(_ZN7QAction9triggeredEb+0x51)[0x67279b1]                                                                  

/usr/lib/libQtGui.so.4(_ZN7QAction8activateENS_11ActionEventE+0xb2)[0x6728f32]                                                   

/usr/lib/libQtGui.so.4[0x6b769cc]                                                                                                

/usr/lib/libQtGui.so.4[0x6b7d03b]                                                                                                

/usr/lib/libQtGui.so.4(_ZN5QMenu17mouseReleaseEventEP11QMouseEvent+0x147)[0x6b7dbf7]                                             

/usr/lib/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x762)[0x6783012]                                                              

/usr/lib/libQtGui.so.4(_ZN5QMenu5eventEP6QEvent+0xc4)[0x6b7fe34]                                                                 

/usr/lib/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xb4)[0x672df54]                                

/usr/lib/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xb43)[0x6736033]                                              
/usr/lib/libqgis_core.so.1.7.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0x33)[0x4b2ff3]                                      

/usr/lib/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x7b)[0x10f86cb]                                 

/usr/lib/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_E+0xde)[0x6734f6e]

/usr/lib/libQtGui.so.4[0x67a3c87]                                                                                                

/usr/lib/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x19bb)[0x67a2c4b]                                           

/usr/lib/libQtGui.so.4[0x67cf502]                                                                                                

/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1f8)[0x768ce88]                                                                  

/lib/libglib-2.0.so.0[0x7690730]                                                                                                 

/lib/libglib-2.0.so.0(g_main_context_iteration+0x73)[0x7690863]                                                                  

/usr/lib/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x5c)[0x112302c]     

/usr/lib/libQtGui.so.4[0x67cebe5]                                                                                                ======= Memory map: ========                                            

                                                        

00110000-001d0000 r-xp 00000000 08:01 343371     /usr/lib/libqwt-qt4.so.5.2.0                                                    

001d0000-001d4000 r--p 000bf000 08:01 343371     /usr/lib/libqwt-qt4.so.5.2.0                                                    

001d4000-001d6000 rw-p 000c3000 08:01 343371     /usr/lib/libqwt-qt4.so.5.2.0                                                    

001d6000-00229000 r-xp 00000000 08:01 347982     /usr/lib/libqgis_analysis.so.1.7.0                                              

00229000-0022a000 r--p 00053000 08:01 347982     /usr/lib/libqgis_analysis.so.1.7.0                                              

0022a000-0022b000 rw-p 00054000 08:01 347982     /usr/lib/libqgis_analysis.so.1.7.0                                              

0022b000-0026c000 r-xp 00000000 08:01 327908     /usr/lib/libQtXml.so.4.5.2                                                      

0026c000-0026d000 r--p 00041000 08:01 327908     /usr/lib/libQtXml.so.4.5.2                                                      

0026d000-0026e000 rw-p 00042000 08:01 327908     /usr/lib/libQtXml.so.4.5.2                                                      

0026e000-002bf000 r-xp 00000000 08:01 329765     /usr/lib/libQtSvg.so.4.5.2                                                      

002bf000-002c0000 r--p 00051000 08:01 329765     /usr/lib/libQtSvg.so.4.5.2                                                      

002c0000-002c1000 rw-p 00052000 08:01 329765     /usr/lib/libQtSvg.so.4.5.2                                                      

002c1000-002f4000 r-xp 00000000 08:01 342672     /usr/lib/libproj.so.0.6.6                                                       

002f4000-002f5000 r--p 00032000 08:01 342672     /usr/lib/libproj.so.0.6.6                                                       

002f5000-002f7000 rw-p 00033000 08:01 342672     /usr/lib/libproj.so.0.6.6                                                       

002f7000-0030c000 r-xp 00000000 08:01 139084     /lib/tls/i686/cmov/libpthread-2.10.1.so                                         

0030c000-0030d000 r--p 00014000 08:01 139084     /lib/tls/i686/cmov/libpthread-2.10.1.so                                         

0030d000-0030e000 rw-p 00015000 08:01 139084     /lib/tls/i686/cmov/libpthread-2.10.1.so                                         

0030e000-00310000 rw-p 00000000 00:00 0                                                                                          

00310000-00334000 r-xp 00000000 08:01 133099     /lib/tls/i686/cmov/libm-2.10.1.so                                               

00334000-00335000 r--p 00023000 08:01 133099     /lib/tls/i686/cmov/libm-2.10.1.so                                               

00335000-00336000 rw-p 00024000 08:01 133099     /lib/tls/i686/cmov/libm-2.10.1.so                                               

00336000-00352000 r-xp 00000000 08:01 585        /lib/libgcc_s.so.1                                                              

00352000-00353000 r--p 0001b000 08:01 585        /lib/libgcc_s.so.1                                                              

00353000-00354000 rw-p 0001c000 08:01 585        /lib/libgcc_s.so.1                                                              

00354000-00356000 r-xp 00000000 08:01 592        /lib/libcom_err.so.2.1                                                          

00356000-00357000 r--p 00001000 08:01 592        /lib/libcom_err.so.2.1                                                          

00357000-00358000 rw-p 00002000 08:01 592        /lib/libcom_err.so.2.1                                                          

00358000-00380000 r-xp 00000000 08:01 310204     /usr/lib/libgssapi_krb5.so.2.2                                                  

00380000-00381000 r--p 00027000 08:01 310204     /usr/lib/libgssapi_krb5.so.2.2                                                  

00381000-00382000 rw-p 00028000 08:01 310204     /usr/lib/libgssapi_krb5.so.2.2                                                  

00382000-00386000 r-xp 00000000 08:01 326821     /usr/lib/libgthread-2.0.so.0.2200.3                                             

00386000-00387000 r--p 00003000 08:01 326821     /usr/lib/libgthread-2.0.so.0.2200.3                                             

00387000-00388000 rw-p 00004000 08:01 326821     /usr/lib/libgthread-2.0.so.0.2200.3                                             

00389000-003c3000 r-xp 00000000 08:01 276945     /usr/lib/libQtSql.so.4.5.2                                                      

003c3000-003c4000 ---p 0003a000 08:01 276945     /usr/lib/libQtSql.so.4.5.2                                                      

003c4000-003c5000 r--p 0003a000 08:01 276945     /usr/lib/libQtSql.so.4.5.2                                                      

003c5000-003c6000 rw-p 0003b000 08:01 276945     /usr/lib/libQtSql.so.4.5.2                                                      

003c6000-00a41000 r-xp 00000000 08:01 347981     /usr/lib/libqgis_core.so.1.7.0                                                  

00a41000-00a48000 r--p 0067b000 08:01 347981     /usr/lib/libqgis_core.so.1.7.0                                                  
00a48000-00a4b000 rw-p 00682000 08:01 347981     /usr/lib/libqgis_core.so.1.7.0

00a4b000-00a4d000 rw-p 00000000 00:00 0

00a4d000-00a56000 r-xp 00000000 08:01 133008     /lib/tls/i686/cmov/libcrypt-2.10.1.so

00a56000-00a57000 r--p 00008000 08:01 133008     /lib/tls/i686/cmov/libcrypt-2.10.1.so

00a57000-00a58000 rw-p 00009000 08:01 133008     /lib/tls/i686/cmov/libcrypt-2.10.1.so

00a58000-00a7f000 rw-p 00000000 00:00 0

00a7f000-00a86000 r-xp 00000000 08:01 139089     /lib/tls/i686/cmov/librt-2.10.1.so

00a86000-00a87000 r--p 00006000 08:01 139089     /lib/tls/i686/cmov/librt-2.10.1.so

00a87000-00a88000 rw-p 00007000 08:01 139089     /lib/tls/i686/cmov/librt-2.10.1.so

00a88000-00a8a000 r-xp 00000000 08:01 625        /lib/libkeyutils-1.2.so

00a8a000-00a8b000 r--p 00001000 08:01 625        /lib/libkeyutils-1.2.so

00a8b000-00a8c000 rw-p 00002000 08:01 625        /lib/libkeyutils-1.2.so

00a8c000-00b9e000 r-xp 00000000 08:01 329699     /usr/lib/libQtNetwork.so.4.5.2

00b9e000-00ba1000 r--p 00111000 08:01 329699     /usr/lib/libQtNetwork.so.4.5.2

00ba1000-00ba2000 rw-p 00114000 08:01 329699     /usr/lib/libQtNetwork.so.4.5.2

00ba2000-00ba9000 r-xp 00000000 08:01 264628     /usr/lib/libSM.so.6.0.0

00ba9000-00baa000 r--p 00006000 08:01 264628     /usr/lib/libSM.so.6.0.0

00baa000-00bab000 rw-p 00007000 08:01 264628     /usr/lib/libSM.so.6.0.0

00bab000-00bad000 r-xp 00000000 08:01 264636     /usr/lib/libXau.so.6.0.0

00bad000-00bae000 r--p 00001000 08:01 264636     /usr/lib/libXau.so.6.0.0

00bae000-00baf000 rw-p 00002000 08:01 264636     /usr/lib/libXau.so.6.0.0

00baf000-00bb1000 r-xp 00000000 08:01 133028     /lib/tls/i686/cmov/libdl-2.10.1.so

00bb1000-00bb2000 r--p 00001000 08:01 133028     /lib/tls/i686/cmov/libdl-2.10.1.so

00bb2000-00bb3000 rw-p 00002000 08:01 133028     /lib/tls/i686/cmov/libdl-2.10.1.so

00bb3000-00bbb000 r-xp 00000000 08:01 264671     /usr/lib/libXrender.so.1.3.0

00bbb000-00bbc000 r--p 00007000 08:01 264671     /usr/lib/libXrender.so.1.3.0

00bbc000-00bbd000 rw-p 00008000 08:01 264671     /usr/lib/libXrender.so.1.3.0

00bbd000-00bc0000 r-xp 00000000 08:01 1370       /lib/libuuid.so.1.3.0

00bc0000-00bc1000 r--p 00002000 08:01 1370       /lib/libuuid.so.1.3.0

00bc1000-00bc2000 rw-p 00003000 08:01 1370       /lib/libuuid.so.1.3.0

00bc3000-00bde000 r-xp 00000000 08:01 2360       /lib/ld-2.10.1.so

00bde000-00bdf000 r--p 0001a000 08:01 2360       /lib/ld-2.10.1.so

00bdf000-00be0000 rw-p 0001b000 08:01 2360       /lib/ld-2.10.1.so

00be0000-00bee000 r-xp 00000000 08:01 264649     /usr/lib/libXext.so.6.4.0

00bee000-00bef000 r--p 0000d000 08:01 264649     /usr/lib/libXext.so.6.4.0

00bef000-00bf0000 rw-p 0000e000 08:01 264649     /usr/lib/libXext.so.6.4.0

00bf0000-00bf4000 r-xp 00000000 08:01 264647     /usr/lib/libXdmcp.so.6.0.0Cancelado

FORMAT FILE: SHAPE

SHAPE TYPE: POLIGON

PLATFORM: 32 BITS 

SO:UBUNTU 9.10

QGIS FROM REPOSITORY

NOTE:

IN THE SAMPLE ONLY WORKS WITH THE FIELD 'J_ADSCRIPT'

#3 - 2011-09-19 09:14 AM - Giovanni Manghi

FORMAT FILE: SHAPE

SHAPE TYPE: POLIGON

PLATFORM: 32 BITS 
SO:UBUNTU 9.10

QGIS FROM REPOSITORY

NOTE:

IN THE SAMPLE ONLY WORKS WITH THE FIELD 'J_ADSCRIPT'

I'm on Ubuntu 11.04 64bit and QGIS trunk and I cannot replicate the issue with any of the attributes. Can you make a test on another machine/platform?

#4 - 2011-09-19 10:50 AM - Eduardo Bieñkowski

Run QGIS 1.7 on Win XP, got the same problem.

It ran on another machine with ubuntu 32 bits (natty narwhal) and also got this problem.

We will test in 64-bit platform.

regards

#5 - 2011-09-19 10:58 AM - Giovanni Manghi

can you test qgis-trunk? it works fine here also under Windows 7 32 bit.

Eduardo Bieñkowski wrote:

Run QGIS 1.7 on Win XP, got the same problem.

It ran on another machine with ubuntu 32 bits (natty narwhal) and also got this problem.

We will test in 64-bit platform.

regards

#6 - 2011-09-21 05:06 AM - Andrew Chapman

I tried the files with WIndows XP and QGIS 1.7... and didn't have a problem.

However, I have also seen similar crashes when using graduated new symbology - in my case when applying rotation. I've tried to pin down the conditions,

but it isn't repeatable.

I did however look at the debug messages on several occasions and get "Unhandled exception at 0x6542eecb in qgis.exe: 0xc0000005: Access violation

reading location xxxxx (location varies).

#7 - 2011-09-27 04:59 AM - Bill Williamson

Cannot reproduce on Win7 with 1.7.0, or 

1.8.0-Trunk

QGIS code revision

67dfd2e

cheers
#8 - 2011-10-07 10:00 AM - Giovanni Manghi

- Status changed from Open to Feedback

Eduardo Bieñkowski wrote:

Run QGIS 1.7 on Win XP, got the same problem.

It ran on another machine with ubuntu 32 bits (natty narwhal) and also got this problem.

We will test in 64-bit platform.

regards

please test qgis-trunk/1.7.1 and leave further feedback.

#9 - 2011-10-07 11:16 AM - Thaddeus -

- File Screenshot_4293_1.png added

I was unable to replicate this: tried this under Win2k and QGIS 1.7.1.

#10 - 2011-10-10 08:49 AM - Mars Sjoden

I am able to replicate this with all versions of QGIS on Macintosh 64bit 10.5 to 10.6.x

Applying symbol change hard crashes QGIS version x.x.x

Built from trunk, same issue.

I have only heard of two other Mac users with this issue, but this occurs without fail on our 5 iMacs and 2 Macbook Pros

#11 - 2011-10-27 01:31 PM - Mars Sjoden

- File DebugOutput.txt added

added debug output

Also finding similar issues on Ubuntu 11.04 with 1.7.1, Fedora 15 with 1.7.1, and OpenSUSE 11. Random crashing that MAY BE associated with this

"bug" on a Windows 7 64bit machine I was testing 1.7.1 and 1.7.0 on.

Hard to reproduce, seems rather random.  Sometimes will not occur after several hours of work and other times within minutes of starting a project.

#12 - 2011-11-12 05:51 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#13 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#14 - 2011-12-16 10:54 AM - Giovanni Manghi
- Target version changed from Version 1.7.3 to Version 1.7.4

#15 - 2011-12-23 08:31 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to Yes

- Operating System deleted (Linux)

- Affected QGIS version set to master

Eduardo Bieñkowski wrote:

Run QGIS 1.7 on Win XP, got the same problem.

It ran on another machine with ubuntu 32 bits (natty narwhal) and also got this problem.

We will test in 64-bit platform.

regards

Feedback needed. The issue is NOT replicable on both QGIS master and 1.7.3 under both Linux and Windows/osgeo4w. If in your case still crashes try

also removing any 3rd party plugin.

#16 - 2011-12-23 08:32 AM - Giovanni Manghi

However, I have also seen similar crashes when using graduated new symbology - in my case when applying rotation. I've tried to pin down the

conditions, but it isn't repeatable.

this is another issue not related to this ticket. If still true file a different ticket.

#17 - 2011-12-23 08:34 AM - Giovanni Manghi

I am able to replicate this with all versions of QGIS on Macintosh 64bit 10.5 to 10.6.x

Applying symbol change hard crashes QGIS version x.x.x

This seems a different issue not related to the one described in this ticket. If still true file a different ticket.

#18 - 2011-12-24 01:06 AM - Richard Duivenvoorde

without any knowledge or testing. Is it possible that this is related to #3963 ('Crash when applying a graduated vector style') and hopefully/maybe also fixed

now?

Please test.

#19 - 2011-12-24 01:26 AM - Richard Duivenvoorde

tried the example data here now on Ubuntu 11.04 master: no crashes
#20 - 2012-01-02 09:23 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

Closing for lack of feedback and because is not possible to replicate the issue. Reopen if necessary.

Files

pais_adscriptos.dbf 3.08 KB 2011-09-19 Eduardo Bieñkowski

pais_adscriptos.shp 2.04 MB 2011-09-19 Eduardo Bieñkowski

pais_adscriptos.shx 260 Bytes 2011-09-19 Eduardo Bieñkowski

Screenshot_4293_1.png 113 KB 2011-10-07 Thaddeus -

DebugOutput.txt 5.16 KB 2011-10-27 Mars Sjoden
